### Method

# Gck Builder find_ulong

#### Declaration [src]

    gboolean
    gck_builder_find_ulong (
      GckBuilder* builder,
      gulong attr_type,
      gulong* value
    )

#### Description [src]

Find a unsigned long attribute in the builder that has the type `attr_type`, is of the correct unsigned long size, and is not invalid in the PKCS#11 sense. If multiple attributes exist for the given attribute type, then the first one is returned.

#### Parameters

`attr_type` | `gulong`
| The type of attribute to find.
`value` | `gulong*`
| The location to place the found value.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| Whether a valid unsigned long attribute was found.